/*variables*/

:root {
  --primary-dark: #303030;
  --primary-white: #ffffff;
}

body {
  padding: 2rem;
  font-family: "Roboto";
}

/*header css*/
.title {
  padding: 2rem;
  font-size: 3.5rem;
}

.logo {
  width: 200px;
  height: 200px;
}

.header {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  padding: 1rem;
  margin-bottom: 2rem;
}

/*travels card css */

.travels-container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(350px, 1fr));
  grid-auto-rows: auto;
  grid-gap: 3.5rem 0.5rem;
  justify-items: center;
}

.travel-card {
  border-radius: 0.5rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  border: 3px solid var(--primary-dark);
  border-radius: 4px;
  width: 75%;
}

.travel-image {
  object-fit: fill;
  width: 100%;
  height: 200px;
}

.travel-title {
  font-size: 1.5rem;
  font-weight: 600;
  font-family: "Roboto";
  margin-bottom: 0.3rem;
  margin-top: 0.3rem;
}

.travel-content {
  padding: 0.6rem;
  display: flex;
  flex-direction: column;
  align-items: center;
}

/* travel details css */

.travel-details-card {
  display: flex;
  margin: 4rem;
  flex-direction: row;
  align-items: flex-start;
  justify-content: flex-start;
}

.travel-details-title {
  font-size: 3rem;
  font-weight: 600;
  font-family: "Roboto";
  margin-bottom: 0.3rem;
  margin-top: 0.3rem;
}

.travel-details-card-content {
  width: 40%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding: 1rem;
}

.travel-details-image {
  object-fit: contain;
  width: 100%;
  height: 300px;
}

a > img {
  margin-right: 0.4rem;
}

/* generic css and utils */

.button {
  display: inline-block;
  color: var(--primary-dark);
  width: fit-content;
  text-decoration: none;
  border: 1px solid var(--primary-dark);
  padding: 0.5rem;
  display: flex;
  flex-direction: row;
  font-weight: 600;
}

.button:hover {
  transition: ease-in-out 0.2s;
  background-color: var(--primary-dark);
  color: var(--primary-white);
}

.margin-l {
  margin-left: auto !important;
}

.margin-r {
  margin-right: auto !important;
}

.margin-1 {
  margin: 1rem;
}

.mt-1 {
  margin-top: 1rem;
}

.m-4 {
  margin: 4rem;
}

.py-2 {
  padding-top: 2rem;
  padding-bottom: 2rem;
}

.p-3 {
  padding: 3rem;
}

.border-0 {
  border: none !important;
}
